Subject: bug#28589: 27.0.50; Emacs screen often becomes blank

From: martin rudalics <[email-masked]>
Date: Wed, 27 Sep 2017 10:13:39 +0200

> Sigh, I had almost expected this would happen. Reverted with 2fa19cc551.
 > But now we have another time bomb in the codebase:
 > the gtk_widget_set_double_buffered function is deprecated and will probably
 > be removed sometime. This makes the migration to a pure GTK+ build even
 > more pressing.

Looks like the decisive blow, indeed.  Admittedly, inhibiting double
buffering was a gross hack too.  But I doubt Jan had any alternative
solutions at hand when he coded that.

Do I understand correctly that the entire effect of setting double
buffering off is encapsuled in the case where a GDK_EXPOSE event is
handled?

martin